> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/safearea/getsafeareainsets.md).

# getSafeAreaInsets

### 기능 설명

현재 Safe Area insets 값을 동기적으로 가져와요. 노치나 홈 인디케이터처럼 콘텐츠가 가려질 수 있는 영역의 여백을 확인할 때 사용해요.

### 타입

```ts
getSafeAreaInsets(): SafeAreaInsets;
```

**Params**

없음.

**Response**

```ts
type SafeAreaInsets = {
  top: number;
  left: number;
  right: number;
  bottom: number;
};
```

### 예시 코드

```js
import { SafeArea } from "@apps-in-toss/web-framework";

const insets = SafeArea.get();

document.body.style.paddingTop = `${insets.top}px`;
document.body.style.paddingBottom = `${insets.bottom}px`;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/safearea/getsafeareainsets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
